scala.tools.reflect.FormatInterpolator

# Conversion

#### sealed trait Conversion extends AnyRef

A conversion specifier matched by `m` in the string part at `pos`, with `argc` arguments to interpolate.

Source
  FormatInterpolator.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
CharacterXn, DateTimeXn, ErrorXn, FloatingPointXn, GeneralXn, IntegralXn, LiteralXn
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Conversion
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Abstract Value Members

1. #### abstract def accepts(arg: nsc.Global.Tree): Option[nsc.Global.Type]

2. #### abstract def argc: Int

3. #### abstract def m: Match

4. #### abstract def pos: nsc.Global.Position

### Concrete Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Conversion to any2stringadd[Conversion] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Conversion, B)

   Implicit information
     This member is added by an implicit conversion from Conversion to ArrowAssoc[Conversion] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### val allFlags: String

7. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

8. #### def badFlag(f: Char, msg: String): Unit

9. #### def cc: Char

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### def ensuring(cond: (Conversion) ⇒ Boolean, msg: ⇒ Any): Conversion

    Implicit information
      This member is added by an implicit conversion from Conversion to Ensuring[Conversion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### def ensuring(cond: (Conversion) ⇒ Boolean): Conversion

    Implicit information
      This member is added by an implicit conversion from Conversion to Ensuring[Conversion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

13. #### def ensuring(cond: Boolean, msg: ⇒ Any): Conversion

    Implicit information
      This member is added by an implicit conversion from Conversion to Ensuring[Conversion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

14. #### def ensuring(cond: Boolean): Conversion

    Implicit information
      This member is added by an implicit conversion from Conversion to Ensuring[Conversion] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

15. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

16. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

17. #### def errorAt(g: SpecifierGroups.Value, msg: String): Unit

18. #### def errorAtOffset(g: SpecifierGroups.Value, i: Int, msg: String): Unit

19. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

20. #### val flags: Option[String]

21. #### def formatted(fmtstr: String): String

    Implicit information
      This member is added by an implicit conversion from Conversion to StringFormat[Conversion] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def goodFlags: Boolean

24. #### def goodIndex: Boolean

25. #### def groupPos(g: SpecifierGroups.Value): Position

26. #### def groupPosAt(g: SpecifierGroups.Value, i: Int): Position

27. #### def hasAnyFlag(fs: String): Boolean

28. #### def hasFlag(f: Char): Boolean

29. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

30. #### val index: Option[Int]

31. #### def indexed: Boolean

32. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

33. #### def isLeading: Boolean

34. #### def isLiteral: Boolean

35. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

36. #### def noFlags: Boolean

37. #### def noPrecision: Boolean

38. #### def noWidth: Boolean

39. #### final def notify(): Unit

    Definition Classes
      AnyRef

40. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

41. #### def okFlags: String

    Attributes
      protected

42. #### def only_-(msg: String): Boolean

43. #### val op: String

44. #### def pickAcceptable(arg: nsc.Global.Tree, variants: nsc.Global.Type*): Option[nsc.Global.Type]

    Pick the type of an arg to format from among the variants supported by a conversion.

    Pick the type of an arg to format from among the variants supported by a conversion. This is the type of the temporary, so failure results in an erroneous assignment to the first variant. A more complete message would be nice.

45. #### val precision: Option[Int]

46. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

47. #### def toString(): String

    Definition Classes
      AnyRef → Any

48. #### def verify: Boolean

49. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

50. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

51. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

52. #### val width: Option[Int]

53. #### def →[B](y: B): (Conversion, B)

    Implicit information
      This member is added by an implicit conversion from Conversion to ArrowAssoc[Conversion] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Conversion to any2stringadd[Conversion]

### Inherited by implicit conversion StringFormat from Conversion to StringFormat[Conversion]

### Inherited by implicit conversion Ensuring from Conversion to Ensuring[Conversion]

### Inherited by implicit conversion ArrowAssoc from Conversion to ArrowAssoc[Conversion]

### Ungrouped